package com.muyu.vehicle.gateway.vehicle.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.vehicle.gateway.vehicle.domain.MqttServerModel;
import com.muyu.vehicle.gateway.vehicle.domain.VehicleConnectionReq;
import com.muyu.vehicle.gateway.vehicle.service.ConnectService;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 连接车辆控制层
 *
 * @author LiHD
 * @ClassName ConnectController
 * @Date 2024/10/6
 */
@Log4j2
@RestController
@RequestMapping("/vehicle")
@Tag(name = "连接车辆控制层")
public class ConnectController {

    @Autowired
    private ConnectService connectService;

    /**
     * 车辆连接
     * @param vehicleConnectionReq
     * @return
     */
    @PostMapping("/receiveMsg/connect")
    private Result<MqttServerModel> receiveMsg(@RequestBody VehicleConnectionReq vehicleConnectionReq){
        log.info("接收到车辆连接请求：" + vehicleConnectionReq);
        MqttServerModel mqttServerModel =  connectService.receiveMsg(vehicleConnectionReq);
        return Result.success(mqttServerModel);
    }

}
