package com.muyu.vehicle.gateway.vehicle.service.impl;

import com.muyu.common.redis.service.RedisService;
import com.muyu.vehicle.gateway.vehicle.domain.MqttServerModel;
import com.muyu.vehicle.gateway.vehicle.domain.VehicleConnectionReq;
import com.muyu.vehicle.gateway.vehicle.mapper.ConnectMapper;
import com.muyu.vehicle.gateway.vehicle.service.ConnectService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 连接车辆服务实现类
 *
 * @author LiHD
 * @ClassName ConnectServiceImpl
 * @Date 2024/10/6
 */
@Log4j2
@Service
public class ConnectServiceImpl implements ConnectService {

    @Autowired
    private ConnectMapper connectMapper;
    @Autowired
    private RedisService redisService;

    @Override
    public MqttServerModel receiveMsg(VehicleConnectionReq vehicleConnectionReq) {
        //发送消息队列
//        rabbitTemplate.convertAndSend("VIN", vehicleConnectionReq.getVehicleVin(),message1 -> {
//            message1.getMessageProperties().setMessageId(UUID.randomUUID().toString());
//            return message1;
//        });
        //生成密码
        vehicleConnectionReq.setPassword(vehicleConnectionReq.getVehicleVin()+vehicleConnectionReq.getTimestamp()
                +vehicleConnectionReq.getNonce());
        connectMapper.addVehicle(vehicleConnectionReq);
        //保存密码到redis

        return null;
    }
}
